# SPDX-License-Identifier: MIT
%global source_name        bitstream-vera-fonts
%global source_summary     The Bitstream Vera font families
%global source_version     1.10
%global source_release     44
%global source_url         http://www.gnome.org/fonts/
%global source_license     Bitstream Vera
%global source_tags        %{expand:
BuildArch: noarch
}
%global source_description %{expand:
The Vera font families are high-quality Latin typefaces donated by Bitstream.
}

%global default_fonts_foundry      Bitstream
%global default_fonts_licenses     COPYRIGHT.TXT
%global default_fonts_docs         *.TXT
%global default_fonts_docs_exclude %{default_fonts_licenses}

%global fonts_family0             Vera Sans
%global fonts_summary0            Bitstream Vera Sans, a variable-width sans-serif font family
%global fonts_tags0               %{expand:
Obsoletes: bitstream-vera-fonts-common < %{version}-%{release}
Suggests: font(dejavusans)
}
%global fonts_fonts0              *.ttf
%global fonts_experimental_confs0 55-%{fonts_name0}.xml
%global fonts_fonts_exclude0      %{fonts_fonts1} %{fonts_fonts2}
%global fonts_description0        %{expand:
%{source_description}

This package consists of the Bitstream Vera Sans sans-serif variable-width
font family.}

%global fonts_family1             Vera Serif
%global fonts_summary1            Bitstream Vera Serif, a variable-width serif font family
%global fonts_tags1               %{expand:
Suggests: font(dejavuserif)
}
%global fonts_fonts1              VeraSe*ttf
%global fonts_experimental_confs1 55-%{fonts_name1}.xml
%global fonts_description1        %{expand:
%{source_description}

This package consists of the Bitstream Vera Serif serif variable-width font
family.}

%global fonts_family2             Vera Sans Mono
%global fonts_summary2            Bitstream Vera Sans Mono, a mono-space sans-serif font family
%global fonts_tags2       %{expand:
Suggests: font(dejavusansmono)
}
%global fonts_fonts2              VeraMo*ttf
%global fonts_experimental_confs2 55-%{fonts_name2}.xml
%global fonts_description2        %{expand:
%{source_description}

This package consists of the Bitstream Vera Sans Mono mono-space sans-serif font
family.}

%global fonts_meta_all0           true

%auto_init
%auto_pkg

%sourcelist
%global archive_name ttf-bitstream-vera
https://ftp.gnome.org/pub/GNOME/sources/%{archive_name}/%{version}/%{archive_name}-%{version}.tar.bz2
55-%{fonts_name0}.xml
55-%{fonts_name1}.xml
55-%{fonts_name2}.xml

%prep
%auto_prep
%setup -q -n %{archive_name}-%{version}
install -m 644 %{_sourcedir}/*xml .

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog
* Sat May 30 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.10-44
🚒 Rebuild with fonts-rpm-macros 4.0.2, fixing rpm 4.15 regressions

* Wed Apr 29 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.10-43
🆕 Update to use fonts-rpm-macros 4.x

* Mon Apr 27 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.10-42
🐞 Workaround Fedora problems created by rpm forge_commit 93604e2

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.10-41
💥 Actually rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are
  valid

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.10-40
👻 Rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are valid

* Mon Mar 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.10-39
✅ Lint, lint, lint and lint again

* Thu Feb 27 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.10-38
✅ Switch fontconfig priority to 55

* Sat Feb 22 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.10-37
✅ Rebuild with fonts-rpm-macros 2.0.2

* Sat Feb 15 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.10-36
✅ Convert to fonts-rpm-macros use

* Tue Jun 10 2003 Owen Taylor <otaylor@redhat.com> 1.10-1
- Base package on spec file from Nicolas Mailhot <nim@fedoraproject.org>
- Cleanups from Warren Togami and Nicolas Mailhot
